%define name dhcdbd
%define version 1.15
%define release %mkrel 5

Summary: DHCP D-BUS daemon (dhcdbd)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: dhcdbd.init
Patch0: dhcdbd-1.15-deprecated.patch.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://people.redhat.com/jvdias/dhcdbd/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel
Requires: dhcp-client
Requires(post): rpm-helper
Requires(preun): rpm-helper


%description
DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS,
stores and presents DHCP options.

%prep
%setup -q
%patch0 -p1 -b .deprecated

%build
%make DBUS_INCLUDES="$(pkg-config dbus-1 --cflags)"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT%{_initrddir}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc CHANGES README
/sbin/dhcdbd
%{_initrddir}/%{name}
%{_sysconfdir}/dbus-1/system.d/dhcdbd.conf
%{_datadir}/dbus-1/services/dhcdbd.service

%changelog
* Thu Jan 11 2007 Texstar <texstar@houston.rr.com> 1.15-5pclos2007
- build for pclinuxos 2007
